/* Projects Boxes */
.project1, .project2, .project3, .project4, .project5, .project6, .project7, .project_X{
    width: 100%;
    aspect-ratio: 1 / 1;
    border-radius: 12.5%;
    cursor: pointer;
    transition: 300ms;
    background-size: cover; 
    background-position: center;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15),
                0 16px 40px rgba(0, 0, 0, 0.05);
}

    /* 1 */ 
    .project1 {
        background-image: url(../../assets/LEGO/Minecraft/Minecraft_BeeHouse/Thumbnail.png);     /* Update Here */
        background-size: cover;
    }
    /* Bee House (Game Scale) */
    #bee-house {
        display: flex;
        justify-content: center;
        gap: 5rem;
        height: 30vw;
        margin-left: auto;
        margin-right: auto;
        background-image: url(../../assets/LEGO/Minecraft/Minecraft_BeeHouse/Header.png);
        background-repeat: no-repeat;
        background-size: cover;
        background-position: top;
    }

    /* 2 */ 
    .project2 {
        background-image: url(../../assets/LEGO/Minecraft/Minecraft_DesertWell/Thumbnail.jpg);       /* Update Here */
        background-size: cover;
    }
    /* Desert Well */
    #desertwell {
        display: flex;
        justify-content: center;
        gap: 5rem;
        height: 30vw;
        margin-left: auto;
        margin-right: auto;
        background-image: url(../../assets/LEGO/Minecraft/Minecraft_DesertWell/Header.jpg);
        background-repeat: no-repeat;
        background-size: cover;
        background-position: top;
    }

    /* 3 */ 
    .project3 {
        background-image: url(../../assets/LEGO/Minecraft/Minecraft_TheBridge/Thumbnail.jpg);       /* Update Here */
        background-size: contain;
    }
    /* The Bridge */
    #the-bridge {
        display: flex;
        justify-content: center;
        gap: 5rem;
        height: 30vw;
        margin-left: auto;
        margin-right: auto;
        background-image: url(../../assets/LEGO/Minecraft/Minecraft_TheBridge/Header.jpg);
        background-repeat: no-repeat;
        background-size: cover;
        background-position: top;
    }

    /* 4 */ 
    .project4 {
        background-image: url(../../assets/LEGO/Minecraft/Minecraft_HouseDiorama/Thumbnail.jpg);       /* Update Here */
        background-size: cover;
    }
    /* Minecraft House Diorama */
    #housediorama {
        display: flex;
        justify-content: center;
        gap: 5rem;
        height: 30vw;
        margin-left: auto;
        margin-right: auto;
        background-image: url(../../assets/LEGO/Minecraft/Minecraft_HouseDiorama/Header.jpg);
        background-repeat: no-repeat;
        background-size: cover;
        background-position: top;
    }

    /* 5 */ 
    .project5 {
        background-image: url(../../assets/LEGO/Minecraft/Minecraft_ZombieDungeon/Thumbnail.gif);       /* Update Here */
        background-size: cover;
    }
    /* Zombie Dungeon Game Scale */
    #ZombieDungeon_GameScale {
        display: flex;
        justify-content: center;
        gap: 5rem;
        height: 30vw;
        margin-left: auto;
        margin-right: auto;
        background-image: url(../../assets/LEGO/Minecraft/Minecraft_ZombieDungeon/Header.gif);
        background-repeat: no-repeat;
        background-size: cover;
        background-position: top;
    }


    /* X */ 
    .project_X {
        background-image: url(../../assets/LEGO/Minecraft/Minecraft_SmallDisplays/Thumbnail.gif);       /* Update Here */
        background-size: cover;
    }
    /* Small Minecraft MOC */
    #Small_Minecraft_MOC {
        display: flex;
        justify-content: center;
        gap: 5rem;
        height: 30vw;
        margin-left: auto;
        margin-right: auto;
        background-image: url(../../assets/LEGO/Minecraft/Minecraft_SmallDisplays/Header.png);
        background-repeat: no-repeat;
        background-size: cover;
        background-position: top;
    }
    
    /* 6 */ 
    .project6 {
        background-image: url(../../assets/LEGO/Minecraft/Minecraft_PaleGarden/Thumbnail.gif);       /* Update Here */
        background-size: cover;
    }
    /* Pale Garden */
    #Minecraft_PaleGarden {
        display: flex;
        justify-content: center;
        gap: 5rem;
        height: 30vw;
        margin-left: auto;
        margin-right: auto;
        background-image: url(../../assets/LEGO/Minecraft/Minecraft_PaleGarden/Header.gif);
        background-repeat: no-repeat;
        background-size: cover;
        background-position: top;
    }

    /* 7 */ 
    .project7 {
        background-image: url(../../assets/LEGO/Minecraft/SilentGale/Thumbnail.png);       /* Update Here */
        background-size: cover;
    }
    /* Pale Garden */
    #Minecraft_SilentGale {
        display: flex;
        justify-content: center;
        gap: 5rem;
        height: 30vw;
        margin-left: auto;
        margin-right: auto;
        background-image: url(../../assets/LEGO/Minecraft/SilentGale/Header.png);
        background-repeat: no-repeat;
        background-size: cover;
        background-position: top;
    }




    .ZD-grid h2 {
        font-size: 2.5rem;
        padding-bottom: 0.75rem;
        line-height: 1.15;
    }
    .ZD-grid {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
        gap: 2rem;
        max-width: 1500px;
        margin: 1rem auto;
    }
    .ZD-card {
        background: #262322;
        padding: 2rem;
        border-radius: 12px;
        box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15),
                    0 16px 40px rgba(0, 0, 0, 0.05);
        text-align: left;
    }
    .ZD-card p{
        font-size: 1.2rem;
        padding-bottom: 2vh;
    }
    .ZD-card h2{
        color: #F2E5D7;
    }
    .ZD-card img {
        display: block;
        max-width: 100%;
        border-radius: 8px;
        margin: 0 auto;
        margin-bottom: 1rem;
        transition: 300ms ease;
    }
    .ZD-card img:hover {
        transform: scale(1.05);
        cursor: pointer;
    }
    .ZD-card a{
        color: #C2B4B4;; 
        text-decoration: none;
        transition: 300ms ease;
    }
    .ZD-card a:hover {
        color: #7C886D;
        text-decoration: underline;
        text-underline-offset: 0.25rem;
        text-decoration-color: #7C886D;
        transition: 300ms ease;
    }
